Vue.config.devtools = true;
var v = new Vue({
    el:".container",
    data:{
        id: '',
        isLogin: 0,
        memToken: '',
        memHeadImg: '',
        loading:false,
        support:''
    },
    created:function (){
        if($.cookie("memToken")){
            this.memToken = $.cookie("memToken");
            this.isLogin=1;
        }
        if($.cookie("memHeadImg")){
            this.memHeadImg = $.cookie("memHeadImg");
        }
        if(!checkLogin()){
            return false;
        }
        this.id = $("#id").val()
        this.getIndexData();
    },
    mounted:function (){
        setTimeout(() => {
            $(".loading-item").fadeOut(200);
        },500)

    },
    methods:{
        getIndexData() {
            var that = this;
            if (that.loading) {
                return ;
            }
            that.loading = true;
            $.ajax({
                type : 'post',
                url : serverHttp+"/meeting/getDetailData",
                data : {
                    conferId:that.id
                },
                success : function(data) {
                    if (data.code == 200) {
                        that.support = data.data.support
                    } else if (data.code == 10005) {
                    }
                },
                error : function(data) {

                }
            });
        }
    }
})
